Skip to main content
POST
/
gst
/
compliance
/
e-way-bill
/
consignor
/
bill
/
{ewb_no}
/
extend
curl --request POST \
  --url https://api.sandbox.co.in/gst/compliance/e-way-bill/consignor/bill/{ewb_no}/extend \
  --header 'Content-Type: application/json' \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>' \
  --data '
{
  "ewbNo": 291210077217,
  "vehicleNo": "PQR1234",
  "fromPlace": "Bengaluru",
  "fromState": 29,
  "remainingDistance": 50,
  "transDocNo": "1234",
  "transMode": "5",
  "extnRsnCode": 1,
  "extnRemarks": "Flood",
  "fromPincode": 560090,
  "consignmentStatus": "T",
  "transitType": "R",
  "addressLine1": "Bengaluru",
  "addressLine2": "Bengaluru",
  "addressLine3": "Bengaluru"
}
'
{
  "code": 200,
  "data": {
    "alert": null,
    "data": {
      "ewayBillNo": "291210077217",
      "updatedDate": "26/04/2024 05:07:00 PM",
      "validUpto": "21/05/2024 23:59:00 PM"
    },
    "status": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "e4bbb27c-f1b5-4b07-9396-4d3fa3a217b3"
}

Documentation Index

Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt

Use this file to discover all available pages before exploring further.

Request body schema

View request body schema

Headers

authorization
string
required

E-Way Bill access token. For token-generation steps, refer to the Generate E-Way Bill Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

ewb_no
string
required
Example:

"191002233843"

Body

application/json

The body is of type object.

Response

200 - application/json

200 Success / 382 Validity can be only extended in last 8 hours / 705 Invalid transit type

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"e4bbb27c-f1b5-4b07-9396-4d3fa3a217b3"